LibreOffice: XDragGestureRecognizer Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XDragGestureRecognizer Interface Referencepublished

This interface is implemented by a view or window that supports drag operations. More...

`import "XDragGestureRecognizer.idl";`

Inheritance diagram for XDragGestureRecognizer:

## Public Member Functions
void | addDragGestureListener ([in] XDragGestureListener dgl)
| Registers a new XDragGestureListener.
void | removeDragGestureListener ([in] XDragGestureListener dgl)
| Unregisters the specified XDragGestureListener.
void | resetRecognizer ()
| Reset the recognizer.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface is implemented by a view or window that supports drag operations.

Different to Java, the association between view and interface is fixed and cannot be changed. Otherwise, the AWT messaging would have to be implemented for any window supporting Drag and Drop operations, which would be a performance issue.

## Member Function Documentation

## ◆ addDragGestureListener()

void addDragGestureListener | ( | [in] XDragGestureListener | dgl | ) |

Registers a new XDragGestureListener.

Parameters

  dgl | The XDragGestureListener to register with this XDragGestureRecognizer.

## ◆ removeDragGestureListener()

void removeDragGestureListener | ( | [in] XDragGestureListener | dgl | ) |

Unregisters the specified XDragGestureListener.

Parameters

  dgl | The XDragGestureListener to register with this XDragGestureRecognizer.

## ◆ resetRecognizer()

void resetRecognizer | ( |  | ) |

Reset the recognizer.

If it is currently recognizing a gesture, ignore it.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/dnd/XDragGestureRecognizer.idl